<?php
	set_time_limit(0);

	include_once 'app/cfg_app.php';
	require_once 'app/serviceclient/lib/init.php';
	require_once 'app/serviceclient/services/' . MCP__CREDITCARDSERVICE_INTERFACE . '.php';
	require_once MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php';

	function _r($name, $default = '', $prefix = 'card_') {
		$name = $prefix . $name;
		return isset($_REQUEST[$name]) ? $_REQUEST[$name] : $default;
	}


$debug = array();
$debug['start'] = date('Y-m-d H:i:s');

$time_start = microtime(true);
ob_start();
try {

	$key = MCP__ACCESSKEY;

// parameter entgegennehmen
	$holder = _r('holder');
	$month = _r('month');
	$year = _r('year');
	$pan = _r('pan');
	$cvc = _r('cvc');
	$token = _r('token');

	$dispatcher = new TNvpServiceDispatcher(MCP__CREDITCARDSERVICE_INTERFACE, MCP__CREDITCARDSERVICE_NVP_URL);

	//$ip = $_SERVER["REMOTE_ADDR"]; für Livebetrieb !!!
	$ip = '172.217.22.110'; // dummy, für Tests von localhost etc.

	$time_start2 = microtime(true);
	$res = $dispatcher->tokenSessionCreate($key, $testMode,
		$token, //token
		'Karl Heinz Knigge', 	//firstname
		$holder, //surname
		null, 	//doublet
		null, 	//email
		null, 	//culture
		null, 	//customerId
		null, 	//freeParams
		$project, //project
		null, 	//projectCampaign
		null, 	//account
		null, 	//webmasterCampaign
		$amount, //amount
		$currency, //currency
		'Die ganze Welt', //title
		null, //paytext
		$ip, //ip
		0, //sendMail
		null, //freeParamsSession
		null, //sessionId
		null //update
	);

	if(empty($res)) throw new Exception('Session invalid');
	$debug['RESULT'] = $res;
	$sessionId = $res['sessionId'];
	if(empty($sessionId)) throw new Exception('Session empty');

	$debug['STATUS'] = 'OK';
} catch (Exception $e) {
	$debug['STATUS'] = 'EXCEPTION';
	$debug['EXCEPTION'] = $e->getMessage();
	$debug['EXCEPTION_ID'] = $e->getCode();
}
$info = ob_get_contents();
ob_end_clean();
$debug['dauer'] = microtime(true) - $time_start;
$debug['info'] = $info;


?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />

	<!-- Bootstrap Core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />

	<!-- Custom CSS -->
	<link href="css/cc-spezial.css" rel="stylesheet" />

	<!-- Custom Fonts -->
	<link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- Script für das Billing -->
	<script src=<?php _je($mp_js);?>
	  prefix="card_"
      tokenize=0
      testmode=<?php _e($testMode);?>
      project=<?php _je($project);?>>
    </script>


	<script type="text/javascript">
		var prefix = 'card_';

		billing = function() {
			Micropayment.session(<?php _je($sessionId);?>, <?php _je($responseUrl);?>, '', 'dieId');
			Micropayment.process();
		}

		isReady = function() {
			console.log('isReady');
		}

		onError = function(e) {
			console.log('onError');
			console.log(e);
		}

		onSuccess = function(e) {
			console.log('onSuccess');
			console.log(e);
		}

		onEvent = function(e) {
			console.log('onEvent');
			console.log(e);
		}

		Micropayment.addEvent('ready', isReady);
		Micropayment.addEvent('error', onError);
		Micropayment.addEvent('success', onSuccess);
		Micropayment.addEvent('on', onEvent);

	</script>

</head>
<body>

<div class="container">
		<fieldset>

			<div class="form-group">
<pre>
<?php
$msg = sprintf("%01.2f", $amount / 100) . ' ' . $currency . "\n";
$msg.= 'holder: ' . $holder . "\n";
$msg.= 'pan: ' . $pan . "\n";
$msg.= 'cvc: ' . $cvc . "\n";
$msg.= 'month/year: ' . $month . '/' . $year . "\n";
$msg.= 'token: ' . $token . "\n";
$msg.= 'sessionId: ' . $sessionId . "\n";
echo htmlspecialchars($msg);
?>
</pre>
			</div>

			<div class="form-group">
				<div class="col-md-offset-3 col-sm-9 / col-xs-12">
					<button type="submit" onclick="billing()" class="btn btn-primary btn-lg" id="submit-button">Pay Now <i class="glyphicon glyphicon-chevron-right" style="margin-left: 30px;"></i></button>
				</div>
			</div>
			<hr />
			<h4><small>© 2015 by <a href="http://www.micropayment.de" target="_blank">micropayment</a></small></h4>

		</fieldset>

</div>

<script src="js/jquery.js"></script>
<script src="js/bootstrap.min.js"></script>

<script>
	$(function () {
		$('[data-toggle="tooltip"]').tooltip()
	})
</script>
<a href='2step-api-session_a.php'>restart</a>
</body>
</html>
<?php include 'app/tpl/inc.debug.php';?>